pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: libcroco and xz

On Fri, 15 Jun 2012 10:25:00 +0900, Greg Troxel <> 

  >+.include "../../archivers/xz/"
  >  .include "../../devel/glib2/"
  >  .include "../../textproc/libxml2/"
  >  .include "../../mk/"

  I don't think so, dependency on xz should be came from libxml2 indirectly.

Agreed, but it shows up as NEEDED in libcroco (as seen by objdump -x),
so it's a direct dependency (which is probably the bug).

Yes, it probably came from
i.e. libxz is not used by this package directly, but will be marked as "NEEDED".
It is unclear for me which should be fixed now.

OBATA Akio /

Home | Main Index | Thread Index | Old Index